Loading...
Searching...
No Matches
MemoryTrace.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/OS/Timer.h>`
`#include <fstream>`
`#include <string>`

Go to the source code of this file.

## Classes

class | casacore::MemoryTrace
| More...
class | casacore::MemoryTraceBlock
| Class to write begin and end block message. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | traceMemoryAlloc(ptr, size, msg)
#define | traceMemoryFree(ptr, msg)
#define | traceMemoryBlockBegin(name)
#define | traceMemoryBlockEnd(name)

## Macro Definition Documentation

## traceMemoryAlloc

#define traceMemoryAlloc | ( |  | ptr,
|  |  | size,
|  |  | msg )

Definition at line 149 of file MemoryTrace.h.

## traceMemoryBlockBegin

#define traceMemoryBlockBegin | ( |  | name | ) |

Definition at line 158 of file MemoryTrace.h.

## traceMemoryBlockEnd

#define traceMemoryBlockEnd | ( |  | name | ) |

Definition at line 162 of file MemoryTrace.h.

## traceMemoryFree

#define traceMemoryFree | ( |  | ptr,
|  |  | msg )

Definition at line 153 of file MemoryTrace.h.